# Commandline Application - 4rdf

#### 4RDF version 1.0b1

> 4RDF command-line application Note: This is a general-purpose RDF tool. If you wish to query a 4Suite repository, you may find '4ss rdf' more convenient.

## Usage

    4rdf

    [--help] [--version] [--dump] [--input-format=<FORMAT>]
    [--serialize=<FORMAT>] [--output=<PATH>] [--spring]
    [--graphviz=<PATH>] [--full-uris] [--driver=<DRIVER>]
    [--dbname=<DBNAME>] [--source-uri=<URI>] [source]...

## Options

Name | Description
--- | ---
-h, --help | show detailed help message
-V, --version | Display program version and exit
-d, --dump | Dump the resulting triples from the specified file or database in Python list-of-tuple form to standard output (no persistent changes are made). This is the default action if no driver is specified
--input-format=<FORMAT> | The format of the input file, can be "rdfxml" (the default) or "ntriples"
-s, --serialize=<FORMAT> | Serialize the RDF from the given file or database to standard output (no persistent changes are made). Uses the given format, "rdfxml","ntriples","svg", or "jpeg"
-o, --output=<PATH> | A path to the file that the resulting output will be written to
-l, --spring | Use a spring algorithm (runs neato instead of dot) to layout the graph
-g, --graphviz=<PATH> | The location of the graphviz executables (used for svg and jpeg serializations)
-f, --full-uris | Do not abbreviate URIs according to RDF labels and built-in abbreviations
--driver=<DRIVER> | Use the given 4RDF backend driver
--dbname=<DBNAME> | Update the RDF model database with the given name
--source-uri=<URI> | Override the URI used as the base of the document during deserialization

## Arguments

Name | Description
--- | ---
source | The URI of an RDF/XML or N-Triples document, or "-" to indicate standard input.